##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##

driftfile /var/lib/ntpsec/ntp.drift
leapfile /usr/share/zoneinfo/leap-seconds.list
statsdir /var/log/ntpsec/
nts ca /etc/ssl/debian/certs

statistics loopstats peerstats clockstats
filegen loopstats file loopstats type day enable
filegen peerstats file peerstats type day enable
filegen clockstats file clockstats type day enable

<% if scope.lookupvar('deprecated::nodeinfo')['timeserver'] -%>
nts enable
nts cert /etc/ntpsec/cert-chain.pem
nts key /etc/ntpsec/key.pem

server 0.debian.pool.ntp.org iburst
server 1.debian.pool.ntp.org iburst
server 2.debian.pool.ntp.org iburst
server 3.debian.pool.ntp.org iburst
<% elsif @use_local_timeservers -%>
<% @localtimeservers.to_a.flatten.each do |server| -%>
server <%= server -%> iburst
<% end -%>
<% elsif scope.lookupvar('deprecated::nodeinfo')['misc']['natted'] -%>
# NTS doesn't work behind nat

# manda-node04's, and conova-node04's ipv4 IP, hard coded for the benefit of
# hosts that do not have RTC's (since they won't be able to do DNS until
# they have a reasonable clock).
server 82.195.75.70               iburst
server 185.69.161.163             iburst

#server manda-node03.debian.org    iburst
server manda-node04.debian.org    iburst
server conova-node03.debian.org   iburst
server conova-node04.debian.org   iburst
<% else -%>
#server manda-node03.debian.org    nts
server manda-node04.debian.org    nts
server conova-node03.debian.org   nts
server conova-node04.debian.org   nts
<% end -%>

restrict default kod nomodify nopeer noquery limited

restrict 127.0.0.1
restrict ::1

# vim:set et:
# vim:set sts=4 ts=4:
# vim:set shiftwidth=4:
